Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting Class Reference

## Public Member Functions
| PDF3DLaunchSetting ()
| Constructor.
| PDF3DLaunchSetting (PDF3DLaunchSetting launch_setting)
| Constructor, with another 3D launch setting object. More...
| PDF3DLaunchSetting (int activation_enable, int activation_disable, int activation_playback, int window_width, int window_height, int border_width, boolean is_transparent_background, int poster_image, String poster_file_path)
| Constructor with parameter. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | getActivation_disable ()
| Get the activation disable setting for 3D. More...
int | getActivation_enable ()
| Get the activation enable setting for 3D. More...
int | getActivation_playback ()
| Get the activation playback setting for 3D. More...
int | getBorder_width ()
| Get the border width setting for 3D. More...
boolean | getIs_transparent_background ()
| Get this flag indicates whether the 3D content background is transparent. More...
String | getPoster_file_path ()
| Get the file path of poster image. More...
int | getPoster_image ()
| Get the poster image. More...
int | getWindow_height ()
| Get the window height setting for 3D. More...
int | getWindow_width ()
| Get the window width setting for 3D. More...
void | set (int activation_enable, int activation_disable, int activation_playback, int window_width, int window_height, int border_width, boolean is_transparent_background, int poster_image, String poster_file_path)
| Set the values. More...
void | setActivation_disable (int value)
| Set the activation disable setting for 3D. More...
void | setActivation_enable (int value)
| Set the activation enable setting for 3D. More...
void | setActivation_playback (int value)
| Set the activation playback setting for 3D. More...
void | setBorder_width (int value)
| Set the border width setting for 3D. More...
void | setIs_transparent_background (boolean value)
| Set this flag indicates whether the 3D content background is transparent. More...
void | setPoster_file_path (String value)
| Set the file path of poster image. More...
void | setPoster_image (int value)
| Set the poster image. More...
void | setWindow_height (int value)
| Set the window height setting for 3D. More...
void | setWindow_width (int value)
| Set the window width setting for 3D. More...

## Static Public Attributes
static final int | e_3DActivationDisableSettingContextMenuSelected = 0
| Disable when "Disable Content" is selected from the context menu.
static final int | e_3DActivationDisableSettingPageClosed = 1
| Disable when the page containing the content is closed.
static final int | e_3DActivationDisableSettingPageInvisible = 2
| Disable when the page containing the content is not visible.
static final int | e_3DActivationEnableSettingContentClicked = 0
| Enable when the content is clicked.
static final int | e_3DActivationEnableSettingPageOpened = 1
| Enable when the page containing the content is opened.
static final int | e_3DActivationEnableSettingPageVisible = 2
| Enable when the page containing the content is visible.
static final int | e_3DActivationPlaybackStyleInFloatingWindow = 1
| Play content in floating window.
static final int | e_3DActivationPlaybackStyleOnPage = 0
| Play content on page.
static final int | e_3DAppearanceSettingBorderWidthMedium = 2
| Medium.
static final int | e_3DAppearanceSettingBorderWidthNone = 0
| No border.
static final int | e_3DAppearanceSettingBorderWidthThick = 3
| Thick.
static final int | e_3DAppearanceSettingBorderWidthThin = 1
| Thin.
static final int | e_3DPosterImageCreateFromFile = 2
| Create poster from file.
static final int | e_3DPosterImageKeepCurrent = 0
| Keep current poster.
static final int | e_3DPosterImageRetrieveFromDefaultView = 1
| Retrieve poster from default view.

## Detailed Description

This class represents 3D launch setting.

## Constructor & Destructor Documentation

## ◆ PDF3DLaunchSetting() [1/2]

com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.PDF3DLaunchSetting | ( | PDF3DLaunchSetting | launch_setting | ) |

Constructor, with another 3D launch setting object.

Parameters

  [in] | launch_setting | Another 3D launch setting object.

## ◆ PDF3DLaunchSetting() [2/2]

com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.PDF3DLaunchSetting | ( | int | activation_enable,
|  | int | activation_disable,
|  | int | activation_playback,
|  | int | window_width,
|  | int | window_height,
|  | int | border_width,
|  | boolean | is_transparent_background,
|  | int | poster_image,
|  | String | poster_file_path
| ) |  |

Constructor with parameter.

Parameters

  [in] | activation_enable | The activation enable setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.e_3DActivationEnableSettingContentClicked and this should be one of these values.
  [in] | activation_disable | The activation disable setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.e_3DActivationDisableSettingContextMenuSelected and this should be one of these values.
  [in] | activation_playback | The activation playback setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.e_3DActivationPlaybackStyleOnPage and this should be one of these values.
  [in] | window_width | The window width setting for 3D. Default value is 320.
  [in] | window_height | The window height setting for 3D. Default value is 240.
  [in] | border_width | The border width setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.e_3DAppearanceSettingBorderWidthNone and this should be one of these values.
  [in] | is_transparent_background | This flag indicates whether the 3D content background is transparent.
  [in] | poster_image | The poster image. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.e_3DPosterImageKeepCurrent and this should be one of these values.
  [in] | poster_file_path | The file path of poster image.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getActivation_disable()

com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.getActivation_disable | ( |  | ) |

Get the activation disable setting for 3D.

Returns
  The activation disable setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.e_3DActivationDisableSettingContextMenuSelected and this should be one of these values.

## ◆ getActivation_enable()

com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.getActivation_enable | ( |  | ) |

Get the activation enable setting for 3D.

Returns
  The activation enable setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.e_3DActivationEnableSettingContentClicked and this should be one of these values.

## ◆ getActivation_playback()

com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.getActivation_playback | ( |  | ) |

Get the activation playback setting for 3D.

Returns
  The activation playback setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.e_3DActivationPlaybackStyleOnPage and this should be one of these values.

## ◆ getBorder_width()

com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.getBorder_width | ( |  | ) |

Get the border width setting for 3D.

Returns
  The border width setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.e_3DAppearanceSettingBorderWidthNone and this should be one of these values.

## ◆ getIs_transparent_background()

com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.getIs_transparent_background | ( |  | ) |

Get this flag indicates whether the 3D content background is transparent.

Returns
  This flag indicates whether the 3D content background is transparent. true means transparent, while false means not. Default value is false.

## ◆ getPoster_file_path()

com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.getPoster_file_path | ( |  | ) |

Get the file path of poster image.

Returns
  The file path of poster image. This field is valid only when poster_image is set to com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.e_3DPosterImageCreateFromFile .

## ◆ getPoster_image()

com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.getPoster_image | ( |  | ) |

Get the poster image.

Returns
  The poster image. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.e_3DPosterImageKeepCurrent and this should be one of these values.

## ◆ getWindow_height()

com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.getWindow_height | ( |  | ) |

Get the window height setting for 3D.

Returns
  The window height setting for 3D. Default value is 240.

## ◆ getWindow_width()

com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.getWindow_width | ( |  | ) |

Get the window width setting for 3D.

Returns
  The window width setting for 3D. Default value is 320.

## ◆ set()

void com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.set | ( | int | activation_enable,
|  | int | activation_disable,
|  | int | activation_playback,
|  | int | window_width,
|  | int | window_height,
|  | int | border_width,
|  | boolean | is_transparent_background,
|  | int | poster_image,
|  | String | poster_file_path
| ) |  |

Set the values.

Parameters

  [in] | activation_enable | The activation enable setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.e_3DActivationEnableSettingContentClicked and this should be one of these values.
  [in] | activation_disable | The activation disable setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.e_3DActivationDisableSettingContextMenuSelected and this should be one of these values.
  [in] | activation_playback | The activation playback setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.e_3DActivationPlaybackStyleOnPage and this should be one of these values.
  [in] | window_width | The window width setting for 3D. Default value is 320.
  [in] | window_height | The window height setting for 3D. Default value is 240.
  [in] | border_width | The border width setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.e_3DAppearanceSettingBorderWidthNone and this should be one of these values.
  [in] | is_transparent_background | This flag indicates whether the 3D content background is transparent.
  [in] | poster_image | The poster image. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.e_3DPosterImageKeepCurrent and this should be one of these values.
  [in] | poster_file_path | The file path of poster image.

Returns
  None.

## ◆ setActivation_disable()

com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.setActivation_disable | ( | int | value | ) |

Set the activation disable setting for 3D.

Parameters

  [in] | value | The activation disable setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.e_3DActivationDisableSettingContextMenuSelected and this should be one of these values.

Returns
  None.

## ◆ setActivation_enable()

com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.setActivation_enable | ( | int | value | ) |

Set the activation enable setting for 3D.

Parameters

  [in] | value | The activation enable setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.e_3DActivationEnableSettingContentClicked and this should be one of these values.

Returns
  None.

## ◆ setActivation_playback()

com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.setActivation_playback | ( | int | value | ) |

Set the activation playback setting for 3D.

Parameters

  [in] | value | The activation playback setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.e_3DActivationPlaybackStyleOnPage and this should be one of these values.

Returns
  None.

## ◆ setBorder_width()

com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.setBorder_width | ( | int | value | ) |

Set the border width setting for 3D.

Parameters

  [in] | value | The border width setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.e_3DAppearanceSettingBorderWidthNone and this should be one of these values.

Returns
  None.

## ◆ setIs_transparent_background()

com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.setIs_transparent_background | ( | boolean | value | ) |

Set this flag indicates whether the 3D content background is transparent.

Parameters

  [in] | value | This flag indicates whether the 3D content background is transparent. true means transparent, while false means not. Default value is false.

Returns
  None.

## ◆ setPoster_file_path()

com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.setPoster_file_path | ( | String | value | ) |

Set the file path of poster image.

Parameters

  [in] | value | The file path of poster image. This field is valid only when poster_image is set to com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.e_3DPosterImageCreateFromFile .

Returns
  None.

## ◆ setPoster_image()

com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.setPoster_image | ( | int | value | ) |

Set the poster image.

Parameters

  [in] | value | The poster image. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.e_3DPosterImageKeepCurrent and this should be one of these values.

Returns
  None.

## ◆ setWindow_height()

com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.setWindow_height | ( | int | value | ) |

Set the window height setting for 3D.

Parameters

  [in] | value | The window height setting for 3D. Default value is 240.

Returns
  None.

## ◆ setWindow_width()

com.foxit.sdk.addon.pdf3d.PDF3DLaunchSetting.setWindow_width | ( | int | value | ) |

Set the window width setting for 3D.

Parameters

  [in] | value | The window width setting for 3D. Default value is 320.

Returns
  None.